%global commit 35d75868aa98807b69ae72b9ab7ac8f85064861d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           jdf-stacks-client
Version:        1.0.1
Release:        1%{?dist}
Summary:        JBoss Stacks Parser

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.jboss.org
Source0:        https://github.com/jboss-jdf/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.yaml:snakeyaml)
BuildRequires: mvn(junit:junit)

%description
This project contains a full stacks client with parser capabilities
and other features like download, proxy and local cache.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}

%pom_remove_plugin org.codehaus.mojo:wagon-maven-plugin

%build
# Tests pass locally in mock/rpmbuild, but not in koji
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Jul 26 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.0.1-1
- Initial package.
